Unable to increase nr_requests & change I/O scheduler ...

Bug #1436319 reported by Kaizoku on 2015-03-25
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Anyone know why ubuntu utopic/trusty doesn’t allow to change nr_requests and I/O scheduler for instance that is running on the cloud running openstack havana?

echo 129 > /sys/block/vda/queue/nr_requests
-bash: echo: write error: Invalid argument

However values lower then 129 works.

Thanks
---
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 Mar 24 06:50 seq
 crw-rw---- 1 root audio 116, 33 Mar 24 06:50 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.14.1-0ubuntu3.7
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
DistroRelease: Ubuntu 14.04
Ec2AMI: ami-000000a3
Ec2AMIManifest: FIXME
Ec2AvailabilityZone: nova
Ec2InstanceType: ra.intel.ssd.xl4
Ec2Kernel: aki-00000002
Ec2Ramdisk: ari-00000002
HibernationDevice: RESUME=UUID=7b7c8950-fe4d-4322-9a60-48dadc7d5eba
InstallationDate: Installed on 2014-04-16 (343 days ago)
InstallationMedia:

IwConfig: Error: [Errno 2] No such file or directory
Lsusb:
 Bus 001 Device 002: ID 0627:0001 Adomax Technology Co., Ltd
 Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: OpenStack Foundation OpenStack Nova
Package: linux (not installed)
PciMultimedia:

ProcEnviron:
 SHELL=/bin/bash
 TERM=vt100
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 XDG_RUNTIME_DIR=<set>
ProcFB: 0 cirrusdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-33-generic root=UUID=afee8cc2-d9a0-4f30-8454-94e974e89bf4 ro console=tty1 console=ttyS0
ProcVersionSignature: Ubuntu 3.16.0-33.44~14.04.1-generic 3.16.7-ckt7
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-33-generic N/A
 linux-backports-modules-3.16.0-33-generic N/A
 linux-firmware 1.127.11
RfKill: Error: [Errno 2] No such file or directory
Tags: trusty ec2-images
Uname: Linux 3.16.0-33-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 01/01/2011
dmi.bios.vendor: Bochs
dmi.bios.version: Bochs
dmi.chassis.type: 1
dmi.chassis.vendor: Bochs
dmi.modalias: dmi:bvnBochs:bvrBochs:bd01/01/2011:svnOpenStackFoundation:pnOpenStackNova:pvr2013.2.2:cvnBochs:ct1:cvr:
dmi.product.name: OpenStack Nova
dmi.product.version: 2013.2.2
dmi.sys.vendor: OpenStack Foundation

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1436319

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected ec2-images trusty
description: updated
Kaizoku (neoark) wrote : CRDA.txt

apport information

apport information

Kaizoku (neoark) wrote : Lspci.txt

apport information

apport information

apport information

apport information

Kaizoku (neoark) wrote : UdevDb.txt

apport information

Kaizoku (neoark) wrote : UdevLog.txt

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.0 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0-rc5-vivid/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: kernel-da-key
Kaizoku (neoark) wrote :

uname -a
Linux test 4.0.0-040000rc5-generic #201503230035 SMP Mon Mar 23 04:36:26 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

cat /sys/block/vda/queue/scheduler
none

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Kaizoku (neoark) wrote :

echo 129 > /sys/block/vda/queue/nr_requests
bash: echo: write error: Invalid argument

summary: - Unable to increase nr_requests...
+ Unable to increase nr_requests & Change The I/O Scheduler ...
summary: - Unable to increase nr_requests & Change The I/O Scheduler ...
+ Unable to increase nr_requests & change I/O scheduler ...
Joseph Salisbury (jsalisbury) wrote :

The v4.1-rc6 upstream kernel is now available. Can you test that kernel and see if this bug still exists? It can be downloaded from:
 http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1-rc6-unstable/

Kaizoku (neoark) wrote :

admin@test:~$ uname -a
Linux test 4.1.0-040100rc6-lowlatency #201506010235 SMP PREEMPT Mon Jun 1 02:39:09 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

root@test:/home/admin# echo 129 > /sys/block/vda/queue/nr_requests
bash: echo: write error: Invalid argument
root@test:/home/admin# cat /sys/block/vda/queue/scheduler
none

This is still not fixed.

James Mackie (jcmackie) wrote :

Hi there,

Is there an update with this bug?

I am hitting it, or something very similar with 16.04 on EC2 with Xen EBS volumes.

root@ip-10-124-125-119:~# cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.1 LTS"

root@ip-10-124-125-119:~# uname -a
Linux ip-10-124-124-125 4.4.0-34-generic #53-Ubuntu SMP Wed Jul 27 16:06:39 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

root@ip-10-124-125-119:~# cat /sys/block/xvdc/queue/nr_requests
32
root@ip-10-124-125-119:~# echo 64 > /sys/block/xvdc/queue/nr_requests
-bash: echo: write error: Invalid argument

I am not able to even set a queue size of below 128 now.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers